Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Richard Cochran)
Date: Wed, 23 Oct 2013 10:06:31 +0200

On Tue, Oct 22, 2013 at 11:13:46AM -0600, Jason Gunthorpe wrote:
> The question I asked last time this came up, which was left unaswered:
> 
>  Who does this stable DT ABI vision benifit, and how much is that
>  benifit worth?

[Sigh]

I already answered this question more than once. I guess it doesn't
hurt to answer it again: It helps the users. Please, don't forget
about them.

If I, as an embedded developer, design my board to work with kernel
version N and a given DTB, then I can upgrade to any kernel version
M (where M > N) using the *same* DTB, and it still works.

Thanks,
Richard